
#ifndef PandaWave_XSLIDECONTROL
#define PandaWave_XSLIDECONTROL

#ifndef PandaWave_XCONTROLS
#include <XControls.h>
#endif


class XGSlideControl : public XGSlider {
	public:
					XGSlideControl(XGView *parent, XGArgStream &s);
		virtual		~XGSlideControl();
		
		
		enum {
			kClassID = 'slid'
		};
					
		/*
		 *	Events
		 */
		
		void					DoDrawView(XRect);
		
		/*
		 *	Min/Max Values
		 */
		
		virtual long			GetMinValue();
		virtual long			GetMaxValue();
		virtual long			GetValue();
		virtual void			SetMinValue(long);
		virtual void			SetMaxValue(long);
		virtual void			SetValue(long);
		
		
		bool DoMouseDown( XPoint pt, short );
		void DoMouseMove( XPoint pt, short );
		
	private:
		long			fMinValue;
		long			fMaxValue;
		long			fCurValue;
		XPoint			fDragAnchor;
		long			fDragValue;
};


#endif

